<?php
class AnimessoBridge extends BridgeAbstract {

    const MAINTAINER = 'Akamaru';
    const NAME = '[Test] Animes.so Search Results';
    const URI = 'https://www.animes.so/';
    const CACHE_TIMEOUT = 21600; // 21600 = 6h
    const DESCRIPTION = 'Get search results from Animes.so';

	const PARAMETERS = array(array(
		'id' => array(
			'name'	=> 'Search ID',
			'required'	=> true,
			'exampleValue'	=> '6681897'
		),
	));

    public function getIcon(){
        return 'https://cdn.animes.so/styles/animesso/logo.og.png';
    }

    public function collectData() {
		$id = $this->getInput('id');
		// Retrieve webpage
		$pageUrl = self::URI . 'suche/' . $id . '//?o=date&c[title_only]=1';
		$html = getSimpleHTMLDOM($pageUrl)
			or returnServerError('Could not request webpage: ' . $pageUrl);

		// Process articles
		foreach($html->find('div.listBlock.main') as $element) {

			if(count($this->items) >= 10) {
				break;
			}

			$article_title = trim($element->find('h3', 0)->innertext);
			//$article_thumbnail = $element->find('a', 0)->data-thumbnailurl;            
			$article_uri = $element->find('h3 a', 0)->href;
			
            //$article_content = '<img src="'. $article_thumbnail .'"><br>';
			$article_content = trim(strip_tags($element->find('blockquote.snippet', 0)->innertext));
			$article_uid = trim(strip_tags($element->find('h3', 0)->innertext));

			// Store article in items array
			if (!empty($article_title)) {
				$item = array();
				$item['uri'] = self::URI . $article_uri;
				$item['title'] = $article_title;
				//$item['enclosures'] = array($article_thumbnail);
				$item['content'] = $article_content;
				$item['uid'] = $article_uid;
				$this->items[] = $item;
			}
		}
	}
}
